com.avaya.ccs.api.enums

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.avaya.ccs.api.enums.ErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ErrorCode>

      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

  The `ErrorCode` enum identifies the possible predefined values that can be associated with an `ErrorI` object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ActiveAgentLimitExceeded` An agent login operation failed because the purchased limit of simultaneously logged in agents has been exceeded.
    `AgentAlreadyLoggedIn` There is already an agent logged in on the voice resource associated with the agent.
    `AgentConfigurationIncomplete` An agent login operation failed because the configuration of the agent is invalid or incomplete.
    `AgentLicenseRequestDenied` An agent login operation failed because the request for a feature license was denied.
    `AgentLoginFailed` An agent login operation failed due to an internal system error.
    `ApplicationNotEnabled` The client application failed to sign in to the server because the application is not enabled.
    `AuthenticationFailure` Unable to authenticate credentials (e.g.
    `BadRequest` The server did not understand the request (was unable to parse it).
    `CommServerConfigError` A configuration problem on the communications server has caused the operation to fail.
    `CommServerError` An undetermined error has occurred in the communications server.
    `CommServerOutOfResources` The operation failed due to insufficient resources in the communications server.
    `ConferenceFeatureError` A conference-related operation failed, possibly due to limitations in the support of the conference feature by the underlying switching platform.
    `ContactNotActive` The operation failed because the interaction is no longer active at the user.
    `ContactNotPresenting` The operation failed because the interaction is no longer presenting at the user.
    `ContactStateError` The operation failed because the contact is in a state that prevents the operation from succeeding.
    `DestinationBusy` An attempt was made to originate an to an address that is busy (and is unable to accept any interactions).
    `DestinationInvalid` An invalid destination was specified.
    `DestinationOutOfService` The destination is out of service.
    `DestinationStateInvalid` The destination is not in a valid state to allow the operation to proceed.
    `DestinationUnreachable` The specified destination is unreachable for an unspecified reason.
    `DeviceNotFound` An operation failed because a device was not found.
    `DeviceStateError` The operation failed because the device is in the incorrect state to handle the request.
    `DisconnectedByApplication` The application requested disconnect of the client.
    `FeatureError` The operation failed due to limitations in the support of the feature by the underlying service provider.
    `IllegalUri` The hostname that was supplied by the application for communication with the server contained characters or syntax that are illegal in URI's.
    `InternalServerError` An internal server error has occurred.
    `InvalidAgentState` An operation failed because the user is not in the correct state.
    `InvalidContactType` An operation failed because a specified `ContactType` was invalid.
    `InvalidCredentials` The credentials supplied for the connection to the server were invalid.
    `InvalidInteractionState` An operation failed because the interaction is not in the correct state.
    `InvalidParameter` One or more of the parameters provided in the invocation of the operation were invalid.
    `InvalidParty` An operation failed because a specified party was invalid.
    `InvalidRequest` The underlying service provider and/or switching platform cannot honor the request, possibly because of the combination of supplied arguments.
    `InvalidSessionState` An operation failed because the session is not in the correct state.
    `InvalidState` An operation failed because the object is not in the correct state.
    `LicenseLimitExceeded` An agent login operation failed because a license for a particular `ContactType` would have been exceeded.
    `LimitExceeded` The operation failed because a system limit has been exceeded.
    `MissingContactType` An operation failed because a required `ContactType` was missing.
    `MultimediaAgentLimitExceeded` An agent login operation failed because the purchased limit of simultaneously logged in agents with multimedia capabilities would have been exceeded.
    `MultimediaOperationDisabled` An agent login operation failed because the agent possesses multimedia (non-Voice) `ContactType` but the license that enables multimedia operation is disabled.
    `NetworkError` The operation failed due to a network error.
    `NoAgentPresent` An operation that requires an agent to be logged in failed because there is currently no agent logged in.
    `NotImplemented` The operation requested is not implemented.
    `NoVoiceResourceAssociated` An agent login operation failed because the agent possesses the `ContactType.Voice` but there was no voice resource set on the User object prior to the login attempt.
    `NullParameter` One or more of the parameters provided in the invocation of the operation was null and a null value is not supported.
    `ObjectNotFound` The object on which an operation was performed no longer exists on the server.
    `OffsiteCallSetupFailed` An agent login operation failed because the server was unable to set up the call to the phone number specified in the `UserI.loginOffsite(java.lang.String, java.lang.String)` method.
    `OperationNotSupported` An operation failed because the requested operation is not supported by the underlying service provider.
    `OperationTimeout` An attempt to perform an operation has timed out.
    `OriginatorBusy` An attempt was made to originate from a `ResourceI` that already has an active interaction associated with it.
    `OriginatorInvalid` The origination resource or device does not support the operation.
    `OutOfService` An operation failed because a required resource was out of service.
    `ParameterOutOfRange` One or more of the parameters provided in the invocation of the operation had a value that was outside the legal range.
    `ProtocolError` A protocol error was detected.
    `PullContactFailed` Pull Contact Failed.
    `PullContactFailedAgentActiveCDNcall` Pull Contact Failed.
    `PullContactFailedAgentActiveDNcall` Pull Contact Failed.
    `PullContactFailedAgentNotFound` Pull Contact Failed.
    `PullContactFailedAgentReservationFailed` Pull Contact Failed.
    `PullContactFailedContactAlreadyHandled` Pull Contact Failed.
    `PullContactFailedContactCannotBePulled` Pull Contact Failed.
    `PullContactFailedContactNotFound` Pull Contact Failed.
    `PullContactFailedContactSupervisoragentOnObserveOrBargeinAndMpcOff` Pull Contact Failed.
    `PullContactFailedContactTypeMismatch` Pull Contact Failed.
    `PullContactFailedInternalError` Pull Contact Failed.
    `PullContactFailedInvalidAgentState` Pull Contact Failed.
    `PullContactFailedMaxLimitReached` Pull Contact Failed.
    `PullContactFailedMpcValueReached` Pull Contact Failed.
    `PullContactFailedRealAgentBusy` Pull Contact Failed.
    `PullContactFailedTfeTimedout` Pull Contact Failed.
    `ReadonlyIntrinsic` An attempt was made to change the value of, or delete, a read-only intrinsic.
    `SecureCommunicationFailure` The secure communication with the server has failed to be established
    `ServiceUnreachable` The service is unreachable or shut down.
    `TransferFeatureError` A transfer-related operation failed, possibly due to limitations in the support of the transfer feature by the underlying switching platform.
    `Unauthorized` Invalid credentials were provided or the user is not authorized to use the service.
    `Unknown`
    `UnresolvedHost` The hostname supplied to `ClientI.create(java.lang.String, com.avaya.ccs.api.enums.Profile, java.lang.String, com.avaya.ccs.api.SecurityContextI)` by the application could not be resolved
    `VoiceResourceAcquisitionFailed` The voice resource associated with the agent could not be acquired by the system.
    `VoiceResourceHasActiveCall` An agent login operation failed because agent's voice resource is busy on a call.
    `WorkspacesLicenseLimitExceeded` Session creation failed because Workspaces license limit was exceeded.
    `WorkspacesLicenseNotGranted` Session creation failed because Workspaces license was not granted for current user.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ActiveAgentLimitExceeded

          public static final ErrorCode ActiveAgentLimitExceeded

      An agent login operation failed because the purchased limit of simultaneously logged in agents has been exceeded.

    - #### AgentAlreadyLoggedIn

          public static final ErrorCode AgentAlreadyLoggedIn

      There is already an agent logged in on the voice resource associated with the agent. Usually this means that the same voice resource has been associated with more than one agent.

    - #### AgentConfigurationIncomplete

          public static final ErrorCode AgentConfigurationIncomplete

      An agent login operation failed because the configuration of the agent is invalid or incomplete. For example, the agent has not been assigned any `ContactType`.

    - #### AgentLicenseRequestDenied

          public static final ErrorCode AgentLicenseRequestDenied

      An agent login operation failed because the request for a feature license was denied.

    - #### AgentLoginFailed

          public static final ErrorCode AgentLoginFailed

      An agent login operation failed due to an internal system error.

    - #### ApplicationNotEnabled

          public static final ErrorCode ApplicationNotEnabled

      The client application failed to sign in to the server because the application is not enabled.

    - #### AuthenticationFailure

          public static final ErrorCode AuthenticationFailure

      Unable to authenticate credentials (e.g. authentication server unreachable).

    - #### BadRequest

          public static final ErrorCode BadRequest

      The server did not understand the request (was unable to parse it).

    - #### CommServerConfigError

          public static final ErrorCode CommServerConfigError

      A configuration problem on the communications server has caused the operation to fail.

    - #### CommServerError

          public static final ErrorCode CommServerError

      An undetermined error has occurred in the communications server.

    - #### CommServerOutOfResources

          public static final ErrorCode CommServerOutOfResources

      The operation failed due to insufficient resources in the communications server.

    - #### ConferenceFeatureError

          public static final ErrorCode ConferenceFeatureError

      A conference-related operation failed, possibly due to limitations in the support of the conference feature by the underlying switching platform.

    - #### ContactNotActive

          public static final ErrorCode ContactNotActive

      The operation failed because the interaction is no longer active at the user.

    - #### ContactNotPresenting

          public static final ErrorCode ContactNotPresenting

      The operation failed because the interaction is no longer presenting at the user.

    - #### ContactStateError

          public static final ErrorCode ContactStateError

      The operation failed because the contact is in a state that prevents the operation from succeeding.

    - #### DestinationBusy

          public static final ErrorCode DestinationBusy

      An attempt was made to originate an to an address that is busy (and is unable to accept any interactions).

    - #### DestinationInvalid

          public static final ErrorCode DestinationInvalid

      An invalid destination was specified.

    - #### DestinationOutOfService

          public static final ErrorCode DestinationOutOfService

      The destination is out of service.

    - #### DestinationStateInvalid

          public static final ErrorCode DestinationStateInvalid

      The destination is not in a valid state to allow the operation to proceed.

    - #### DestinationUnreachable

          public static final ErrorCode DestinationUnreachable

      The specified destination is unreachable for an unspecified reason. Note that the underlying service provider could use this error in cases where `DestinationBusy` or `DestinationInvalid` would be expected if it cannot be ascertain the exact cause of the error.

    - #### DeviceNotFound

          public static final ErrorCode DeviceNotFound

      An operation failed because a device was not found.

    - #### DeviceStateError

          public static final ErrorCode DeviceStateError

      The operation failed because the device is in the incorrect state to handle the request.

    - #### DisconnectedByApplication

          public static final ErrorCode DisconnectedByApplication

      The application requested disconnect of the client.

    - #### FeatureError

          public static final ErrorCode FeatureError

      The operation failed due to limitations in the support of the feature by the underlying service provider.

    - #### IllegalUri

          public static final ErrorCode IllegalUri

      The hostname that was supplied by the application for communication with the server contained characters or syntax that are illegal in URI's.

    - #### InternalServerError

          public static final ErrorCode InternalServerError

      An internal server error has occurred. Consult the server event logs.

    - #### InvalidAgentState

          public static final ErrorCode InvalidAgentState

      An operation failed because the user is not in the correct state.

    - #### InvalidContactType

          public static final ErrorCode InvalidContactType

      An operation failed because a specified `ContactType` was invalid.

    - #### InvalidCredentials

          public static final ErrorCode InvalidCredentials

      The credentials supplied for the connection to the server were invalid.

    - #### InvalidInteractionState

          public static final ErrorCode InvalidInteractionState

      An operation failed because the interaction is not in the correct state.

    - #### InvalidParameter

          public static final ErrorCode InvalidParameter

      One or more of the parameters provided in the invocation of the operation were invalid. An example of an InvalidParameter error is a Not Ready Reason code containing a non-numeric character when the service provider expects a numeric code.

    - #### InvalidParty

          public static final ErrorCode InvalidParty

      An operation failed because a specified party was invalid.

    - #### InvalidRequest

          public static final ErrorCode InvalidRequest

      The underlying service provider and/or switching platform cannot honor the request, possibly because of the combination of supplied arguments.

    - #### InvalidSessionState

          public static final ErrorCode InvalidSessionState

      An operation failed because the session is not in the correct state.

    - #### InvalidState

          public static final ErrorCode InvalidState

      An operation failed because the object is not in the correct state.

    - #### LicenseLimitExceeded

          public static final ErrorCode LicenseLimitExceeded

      An agent login operation failed because a license for a particular `ContactType` would have been exceeded.

    - #### LimitExceeded

          public static final ErrorCode LimitExceeded

      The operation failed because a system limit has been exceeded.

    - #### MissingContactType

          public static final ErrorCode MissingContactType

      An operation failed because a required `ContactType` was missing.

    - #### MultimediaAgentLimitExceeded

          public static final ErrorCode MultimediaAgentLimitExceeded

      An agent login operation failed because the purchased limit of simultaneously logged in agents with multimedia capabilities would have been exceeded.

    - #### MultimediaOperationDisabled

          public static final ErrorCode MultimediaOperationDisabled

      An agent login operation failed because the agent possesses multimedia (non-Voice) `ContactType` but the license that enables multimedia operation is disabled.

    - #### NetworkError

          public static final ErrorCode NetworkError

      The operation failed due to a network error.

    - #### NoAgentPresent

          public static final ErrorCode NoAgentPresent

      An operation that requires an agent to be logged in failed because there is currently no agent logged in.

    - #### NoVoiceResourceAssociated

          public static final ErrorCode NoVoiceResourceAssociated

      An agent login operation failed because the agent possesses the `ContactType.Voice` but there was no voice resource set on the User object prior to the login attempt.

    - #### NotImplemented

          public static final ErrorCode NotImplemented

      The operation requested is not implemented.

    - #### NullParameter

          public static final ErrorCode NullParameter

      One or more of the parameters provided in the invocation of the operation was null and a null value is not supported.

    - #### ObjectNotFound

          public static final ErrorCode ObjectNotFound

      The object on which an operation was performed no longer exists on the server.

    - #### OffsiteCallSetupFailed

          public static final ErrorCode OffsiteCallSetupFailed

      An agent login operation failed because the server was unable to set up the call to the phone number specified in the `UserI.loginOffsite(java.lang.String, java.lang.String)` method.

    - #### OperationNotSupported

          public static final ErrorCode OperationNotSupported

      An operation failed because the requested operation is not supported by the underlying service provider.

      The most likely cause of this error is a failure of the client application to observe the capabilities of an object and invoking a method on the object even though the capabilities indicate that the operation is not supported by the underlying service provider.

    - #### OperationTimeout

          public static final ErrorCode OperationTimeout

      An attempt to perform an operation has timed out.

    - #### OriginatorBusy

          public static final ErrorCode OriginatorBusy

      An attempt was made to originate from a `ResourceI` that already has an active interaction associated with it.

    - #### OriginatorInvalid

          public static final ErrorCode OriginatorInvalid

      The origination resource or device does not support the operation.

    - #### OutOfService

          public static final ErrorCode OutOfService

      An operation failed because a required resource was out of service.

    - #### ParameterOutOfRange

          public static final ErrorCode ParameterOutOfRange

      One or more of the parameters provided in the invocation of the operation had a value that was outside the legal range.

      An example of a ParameterOutOfRange error is an agent login ID string containing a 5 digit login ID when the service provider expects a login ID in the range of 1 through 9999.

    - #### ProtocolError

          public static final ErrorCode ProtocolError

      A protocol error was detected.

    - #### ReadonlyIntrinsic

          public static final ErrorCode ReadonlyIntrinsic

      An attempt was made to change the value of, or delete, a read-only intrinsic.

    - #### SecureCommunicationFailure

          public static final ErrorCode SecureCommunicationFailure

      The secure communication with the server has failed to be established

    - #### ServiceUnreachable

          public static final ErrorCode ServiceUnreachable

      The service is unreachable or shut down.

    - #### TransferFeatureError

          public static final ErrorCode TransferFeatureError

      A transfer-related operation failed, possibly due to limitations in the support of the transfer feature by the underlying switching platform.

    - #### Unauthorized

          public static final ErrorCode Unauthorized

      Invalid credentials were provided or the user is not authorized to use the service.

    - #### UnresolvedHost

          public static final ErrorCode UnresolvedHost

      The hostname supplied to `ClientI.create(java.lang.String, com.avaya.ccs.api.enums.Profile, java.lang.String, com.avaya.ccs.api.SecurityContextI)` by the application could not be resolved

    - #### VoiceResourceAcquisitionFailed

          public static final ErrorCode VoiceResourceAcquisitionFailed

      The voice resource associated with the agent could not be acquired by the system. One common reason for this is that there is a call active on the resource when the system attempted to acquire it.

    - #### VoiceResourceHasActiveCall

          public static final ErrorCode VoiceResourceHasActiveCall

      An agent login operation failed because agent's voice resource is busy on a call.

    - #### WorkspacesLicenseNotGranted

          public static final ErrorCode WorkspacesLicenseNotGranted

      Session creation failed because Workspaces license was not granted for current user.

    - #### WorkspacesLicenseLimitExceeded

          public static final ErrorCode WorkspacesLicenseLimitExceeded

      Session creation failed because Workspaces license limit was exceeded.

    - #### PullContactFailed

          public static final ErrorCode PullContactFailed

      Pull Contact Failed. General error.

    - #### PullContactFailedAgentActiveCDNcall

          public static final ErrorCode PullContactFailedAgentActiveCDNcall

      Pull Contact Failed. Agent has an active CDN call and Multiplicity is disabled

    - #### PullContactFailedAgentActiveDNcall

          public static final ErrorCode PullContactFailedAgentActiveDNcall

      Pull Contact Failed. Agent has an active DN Call

    - #### PullContactFailedAgentNotFound

          public static final ErrorCode PullContactFailedAgentNotFound

      Pull Contact Failed. Agent Not Found

    - #### PullContactFailedAgentReservationFailed

          public static final ErrorCode PullContactFailedAgentReservationFailed

      Pull Contact Failed. Agent Reservation Failed

    - #### PullContactFailedContactAlreadyHandled

          public static final ErrorCode PullContactFailedContactAlreadyHandled

      Pull Contact Failed. Contact is being handled by another Agent

    - #### PullContactFailedContactCannotBePulled

          public static final ErrorCode PullContactFailedContactCannotBePulled

      Pull Contact Failed. Contact can't be pulled in current state

    - #### PullContactFailedContactNotFound

          public static final ErrorCode PullContactFailedContactNotFound

      Pull Contact Failed. Contact could not be found

    - #### PullContactFailedContactTypeMismatch

          public static final ErrorCode PullContactFailedContactTypeMismatch

      Pull Contact Failed. Agent can't pull this Contact Type

    - #### PullContactFailedInternalError

          public static final ErrorCode PullContactFailedInternalError

      Pull Contact Failed. Internal Error. If this problem persists please contact your System Administrator

    - #### PullContactFailedInvalidAgentState

          public static final ErrorCode PullContactFailedInvalidAgentState

      Pull Contact Failed. Agent is in an invalid state

    - #### PullContactFailedMaxLimitReached

          public static final ErrorCode PullContactFailedMaxLimitReached

      Pull Contact Failed. Maximum number of Contacts has been reached

    - #### PullContactFailedMpcValueReached

          public static final ErrorCode PullContactFailedMpcValueReached

      Pull Contact Failed. Maximum number of MPC allowed contacts has been reached

    - #### PullContactFailedRealAgentBusy

          public static final ErrorCode PullContactFailedRealAgentBusy

      Pull Contact Failed. Real agent is busy on the MPC contact

    - #### PullContactFailedTfeTimedout

          public static final ErrorCode PullContactFailedTfeTimedout

      Pull Contact Failed. TFE Timed out awaiting ASM Reply. If this problem persists please contact your System Administrator

    - #### PullContactFailedContactSupervisoragentOnObserveOrBargeinAndMpcOff

          public static final ErrorCode PullContactFailedContactSupervisoragentOnObserveOrBargeinAndMpcOff

      Pull Contact Failed. Supervisor is on voice observe or barge in and MPC is disabled

    - #### Unknown

          public static final ErrorCode Unknown

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null